package com.bonus.canteen.core.kitchen.domain.constants;

import com.bonus.canteen.core.account.constants.AccTradeTypeEnum;

public enum HealthCertStatusEnum {
    NOT_APPROVE(1, "正常"),
    APPROVE(2, "过期"),
    NOT_APPROVE_AGAIN(3, "缺失"),
    EXPIRED(4, "临期");

    private final Integer key;
    private final String desc;

    private HealthCertStatusEnum(Integer key, String desc) {
        this.key = key;
        this.desc = desc;
    }
    public Integer getKey() {
        return this.key;
    }

    public String getDesc() {
        return this.desc;
    }

    public static String getDescByKey(Integer targetKey) {
        for (HealthCertStatusEnum healthCertStatusEnum : HealthCertStatusEnum.values()) {
            if (healthCertStatusEnum.getKey().equals(targetKey)) {
                return healthCertStatusEnum.getDesc();
            }
        }
        return "";
    }
}
